gpsd (3.22-4) UNRELEASED; urgency=medium

  * update

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 14 Jun 2022 20:48:03 +0800

gpsd (3.22-4) unstable; urgency=high

  * [2df40c76] Fix: GPSD time will jump back 1024 weeks at after week=2180
    (Closes: #991739)
  * [c6af361a] Fix patch

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Aug 2021 21:58:54 +0200

gpsd (3.22-3) unstable; urgency=medium

  * [c6838e37] Remove duplicate lines from symbol files.
    Thanks to Matthias Klose (Closes: #985930)
  * [5c240253] Mark String::QString(QString const&)@Base as optional.
    Required for backporting.
  * [2dfbaa07] Updating debian/control from debian/control.in
  * [c582b2aa] gpsd-tools: add missing Breaks+Replaces
    gpsd-tools needs Breaks/Replaces for gpsd-clients (<< 3.20-10)
    Thanks to Andreas Beckmann (Closes: #987208)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Apr 2021 12:17:57 +0200

gpsd (3.22-2) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [66691096] Update Apparmor profile from upstream git HEAD.
    Thanks to Christian Ehrhardt (Closes: #976152) (LP: #1894330)

  [ Christian Ehrhardt ]
  * [63f0cbf0] symbols: nanowait came back as (int, timespec*)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Jan 2021 19:20:14 +0100

gpsd (3.22-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [d78fef17] Limit libsystemd-dev & libudev-dev build-deps as linux-any

  [ Bernd Zeimetz ]
  * [5afe80fe] New upstream version 3.22
  * [d23d0669] Updating debian/control from debian/control.in
  * [fde91987] libgps-dev: mark as M-A: same.
    Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #912580)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Jan 2021 22:42:25 +0100

gpsd (3.21.99~rc1-2) unstable; urgency=medium

  * Uploading to unstable
  * [ac4c2cbe] add automatically generated rdep builder
  * [3420d64b] Revert "Updating gbp.conf for experimental"
    This reverts commit c524723236f6334db4605752172412707e7f2cb3.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Jan 2021 01:36:36 +0100

gpsd (3.21.99~rc1-1) experimental; urgency=medium


  * [7936993f] Fixing git URLs
  * [3296cd58] removing extra linebreak
  * [8faaf157] Updating debian/control from debian/control.in
  * [c5247232] Updating gbp.conf for experimental
  * [4e2f5ac1] New upstream version 3.21.1~dev
  * [e01b4392] refreshing patches
  * [82d5b474] Addint matplotlib as dependency
  * [b905b4a6] snapshot changelog
  * [d415ffbd] remove gpsd build dir
  * [2a2d7e26] move dh_clean in order
  * [792171ef] Remove debian/source/options
  * [45c11a24] also remove buildtmp symlink
  * [b72ada42] add asciidoctor as build-dep
  * [704c85c4] Updating debian/control from debian/control.in
  * [8fa23322] remove gpsd-dbg package
  * [bf066735] Updating debian/control from debian/control.in
  * [18cf7d90] things happen in Sconscript, not sconstruct
  * [13d41b86] copy files from build dir
  * [448b12a0] Really ignore xgps deps check
  * [6b612ecf] add all the python stuff as build-dep
    tools are executed at build time
  * [61c389fe] Updating debian/control from debian/control.in
  * [04d323b3] python modules are pure python now
    no need to build for each python release
  * [c428275b] Build static library first, then the shared version
  * [a60bae70] add libsystemd-dev as build-dep
  * [5d5b5749] Updating debian/control from debian/control.in
  * [0ef4040b] add libudev-dev as build-dep
  * [3c09ab29] Updating debian/control from debian/control.in
  * [4cc239f6] tidy build-dir after static build
  * [a3991765] Fix filename of static library
  * [943cdb1e] No python c modules anymore
  * [7a0a4c1a] more fixes for SConstruct -> SConscript migration
  * [cf9802b0] scons fails to check xsltproc.
    force it
  * [520d0fb6] Don't call scons for clean.
    Just remove the builddir.
  * [3d6ad4ee] Remove upstream installed documentation
  * [01a55541] Install new gpsd-client tools.
  * [8ea6798e] install libgpsdpacket into python3-gps
  * [24703969] no python debug build anymore
  * [525cd475] Fix typo
  * [cf8b732e] install systemd service files
  * [1a5ac994] Update gpsd-clients.examples
  * [6ac6556e] install examples with dh_install
    dh_installexamples doesn't support #!/usr/bin/dh-exec....
  * [8bcc5152] Fix udev source location
  * [b317fad6] Updating symbols file
  * [90e3c370] Updating libgps symbols file.
    Also sorting it.
  * [112fdad9] Use scons systemd_install
  * [c2de2379] Add missing "" for c++ symbols
  * [88af2338] fix symbols
  * [5d4c7e4f] mark one more symbol as missing
  * [1814e3c1] New upstream version 3.21.99~rc1
  * [58d93d7d] Remove patch that is not needed anymore
  * [92242a31] snapshot changelog
  * [155be863] Updating debian/control from debian/control.in
  * [f2668dc0] try to build reverse-dep automatically
  * [44310e1a] gitlab ci fixes
  * [74f7bf91] actually enable job
  * [84eed5c3] assume yes for apt
  * [d557db05] remove old X-Python settings
  * [19770775] fix python3 shebangs
  * [dde6ae6a] add some more -y for apt
  * [f142e929] remove python2 shebang replacements

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jan 2021 17:05:16 +0100

gpsd (3.20-12) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b7a30c42] Disable reprotest on CI for now.
    Until somebody comes up with a fix.

  [ Christian Ehrhardt ]
  * [fccbcc8f] fix json missing quotes on device add (LP: #1879272)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 May 2020 09:04:54 +0200

gpsd (3.20-11) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [232c8d73] d/rules: fix ubxtool to use python3 in the gpsd package (LP: #1878158)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 May 2020 13:49:15 +0200

gpsd (3.20-10) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [7670b61e] exchange gpsd-client/tools content
  * [fb81a96a] examples also need to be in -clients instead of -tools then
  * [7f8d06a8] d/control[.in]: moving gpsctl still breaks gpsd-clients
    (<< 3.20-9) for upgraders never seeing the version in experimental

  [ Bernd Zeimetz ]
  * [b448fb08] Merge branch 'exchange-clients-and-tools' into 'master'
    exchange gpsd-client/tools content
    See merge request debian-gps-team/pkg-gpsd!6

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2020 14:40:08 +0200

gpsd (3.20-9) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [6a21e6bd] d/usr.sbin.gpsd: improve apparmor rules for PPS
               usage (LP: #1872175 LP: #1872178)
  * [c8b703b4] d/gpsd.default: add USBAUTO option (LP: #1873415)
  * [2fcf9754] split more uncommon tools to gpsd-tools (LP: #1872189)
  * [4a1454fb] d/control[.in]: have gpsd-tools depend on gpsd-clients
               as it extends on cgps
  * Move tools for local HW config into gpsd itself
    - [016cff82] move gpsctl to package gpsd
    - [b78132aa] d/control[.in]: move ubxtool and ntpshmmon to gpsd
  * python fixups for Lintian warnings
    - d/control[.in]: add python3 dependency to gpsd-dbg
    - d/rules: fix the py2/3 fixup applied post build
    - d/rules: let package gpsd be processed by dh_python3
    - d/control[.in]: gpsd needs python as depends

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 May 2020 01:19:11 +0200

gpsd (3.20-8) unstable; urgency=medium

  * [62aa4951] Remove last traces of python2. (Closes: #936645)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 09 Apr 2020 11:09:55 +0200

gpsd (3.20-7) unstable; urgency=medium

  * [4a08d30e] Remove libdbus-glib-1-dev build-dep.
    Thanks to Simon McVittie (Closes: #955846)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Apr 2020 23:16:32 +0200

gpsd (3.20-6) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b0d9ef06] Fix autopkgtest for new systemd releases.
    Thanks to Michael Biebl (Closes: #953760)

  [ Christian Ehrhardt ]
  * [4c4e5ea1] device-hook apparmor fixes (LP: #1868363)
    The manpage defines a hook that is called by gpsd which due to current
    confinement it is unable to run.
    - d/usr.sbin.gpsd: allow to call the /etc/gpsd/device-hook in the
      apparmor profile
    - d/usr.sbin.gpsd: allow to map and execute the own binary as needed
      in some containers
    - d/usr.sbin.gpsd: allow to run common shell interpreters bash/dash
    That hook will run within the confinement of gpsd, so if it is expected
    to do anything more special a user will have to allow that in
    /etc/apparmor.d/local/usr.sbin.gpsd
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Mar 2020 22:16:13 +0100

gpsd (3.20-5) unstable; urgency=medium

  * [b2aadaf9] Fix device activation via gpsd socket.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 12 Mar 2020 10:46:35 +0100

gpsd (3.20-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [58b18a53] apparmor: fix control socket usage for gpsdctrl (LP: #1790496)
    The subsequent access of the daemon to the device is covered already.
      # common serial paths to GPS devices
      /dev/tty{,S,USB,AMA,ACM}[0-9]*    rw,
    But gpsdctl itself isn't yet - therefore we see
      $ sudo gpsdctl add /dev/ttyUSB0
    triggering:
      apparmor="DENIED profile="/usr/sbin/gpsd" name="/run/gpsd.sock" requested_mask="r" denied_mask="r"
    This change adds a rule for that.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 01 Feb 2020 01:11:24 +0100

gpsd (3.20-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 12 Jan 2020 20:16:47 +0100

gpsd (3.20-2) experimental; urgency=medium

  * [4f1c9d4f] Merge branch 'non-linux' into 'master'
    Build fixes for non-Linux archs
    See merge request debian-gps-team/pkg-gpsd!2
  * [7196c903] Updating debian/control from debian/control.in
  * [2227686a] Redo changes accidentally done in d/control
  * [f3a7fb54] Add patch to fix soname.
    Went missing upstream somewhere
  * [49d89d24] Update gbp.conf for experimental

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2020 23:21:55 +0100

gpsd (3.20-1) unstable; urgency=medium

  * [9edad156] It is /dev/ttyACM[0-9]+, not /dev/ACM[0-9]+.
    Fix the apparmor profile. (Closes: #944521)
  * [13daa71f] Update upstream source from tag 'upstream/3.20'
    Update to upstream version '3.20'
    with Debian dir d2e29602486466a54dcd800a73e727aa3ef129ce
  * [51f56687] Refreshing patches.
  * [55d0b5b4] Updating changelog
  * [fd2a44f4] Fix gpsd.docs for asciidoc.
    Files were converted by upstream
  * [2da3f0f4] python-gps is gone, remove .install file also
  * [9759c33a] python3-gps.install: update for new file/module names.
  * [10f81da8] gpsd-dbg.install: update debug binaries
  * [f529940a] Updating symbols files
  * [5c851b49] Ignore the build-time test for xgps deps.
    We'll deliver them as dependency, no worries.
  * [32358c88] Use python_libdir instead of a mv hack.
  * [bf7651e1] Install soelim stubs instead of links for manpages.
    Seems to work fine, so why keep the extra work?
  * [7ee82f94] Remove chrpath hack. Not needed anymore it seems.
  * [55d2d180] Depend on asciidoc.
  * [c8f81b96] Don't install non-build-related python deps.
  * [aa045a15] libQgpsmm.3 is not yet compressed at install time
  * [cfa6a5d3] Fix shebang in the debug scripts
  * [53178b81] Updating changelog
  * [9133a8a2] Limit the shebang fix to python files only

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 04 Jan 2020 02:34:41 +0100

gpsd (3.19-3) unstable; urgency=medium

  * [ba252b48] Use one sconsign file per pickle version.
    Thanks to Graham Inggs (Closes: #945238)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Nov 2019 19:51:42 +0100

gpsd (3.19-2) unstable; urgency=medium

  * [06ae5582] Add debian/.gitlab-ci.yml
  * [b200620e] Update Vcs-Git Urls
  * [1991f99e] git is not available on buildds.
  * [809c6c4a] Remove weird env flag overrides
  * [85c4fbb7] snapshot changelog
  * [24e0be41] try again
  * [ede12b7b] Merge branch 'master' of salsa.debian.org:debian-gps-team/pkg-gpsd
  * [29fe8717] Remove options only used by the init script.
  * [0232f523] Scons ignores hardening-flags and others, try this.
  * [d163bdcd] Revert "Scons ignores hardening-flags and others, try this."
    This reverts commit 0232f52302f65f545118f653f787daf2429d0c0a.
  * [27d27ef5] A better try to fix scons env handling
  * [fc43714a] More fixes for the env-handling.
  * [9b34a869] Fix the broken fix
  * [6fd99707] Also merge CFLAGS/CXXFLAGS/...
  * [200cf80c] Also try to fix python cflags handling
  * [0dd50707] Use python3 for default scons things.
    After building the first version with python 3, the pickle version of
    the cached scons data will be too old.
  * [bbf652ee] Remove python2 support.
    Building both python versions got impossible since recent python3
    versions use a new picke version and scons stores its state in a pickle
    file...
  * [8eee1d20] Also remove dependencies on python-gps
  * [e3b30066] Updating debian/control from debian/control.in
  * [0332c8e5] Remove duplicate build-deps
  * [62b43a57] Updating changelog
  * [a8bbbce5] Use python3 for gpsd-clients
  * [288e9075] gpsd-clients breaks/replaces python-gps
  * [2f21db33] use aptly
  * [fd092a4d] Use python3-gi instead of python3-gtk
  * [0be9eebd] changes need to go into control.in
  * [a620b1d5] Depend on python3
  * [cbf832dd] Updating debian/control from debian/control.in

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Oct 2019 21:56:20 +0200

gpsd (3.19-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [d61040a0] d/usr.sbin.gpsd: Relicense to BSD to match the Project.
    As the Author of the profile I'm relicensing the apparmor profile
    to the BSD License to match the (majority) of the rest of the
    GPSD project licenses.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * [5de17f0c] Allow gpsd.service to be enabled by the admin at boot time.
    Be sure to keep it disabled. The admin needs to explicitely start
    it if needed. (Closes: #928681)

  [ Bernd Zeimetz ]
  * [7a45f357] Update upstream source from tag 'upstream/3.19'
    Update to upstream version '3.19'
    with Debian dir b3aea49f5d39c5eb18ffcb61a2b6cebae7f7322f
  * [63e0cd09] snapshot changelog
  * [5e3a1568] test script location changed
  * [9035f8d9] add test_misc.py
  * [6d9ccaf3] Add gpsrinex
  * [764bfeaa] Updating symbol files

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 11 Jul 2019 10:01:16 +0200

gpsd (3.18.1-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Lintian/Standarts/Compat-level fixes
    - [7f88e6a6] d/copyright: update to dep-5 format and for project changes
    - [1260d1f4] d/p/series: mention the purpose of add_patch.sh
    - [900bdc19] d/patches/gpsd_hotplug_rules_disable_generic_serial_converters
      add dep-3 header
    - [03a2b421] add minimal header to debian/patches/full-systemd-support
    - [6759d5f2] d/gpsd.init: remove sysV to not jeopardize socket activation
    - [090182f8] d/gpsd.maintscript: clean up dropped sysV init (conffile)
    - [405bf8c1] add autopkgtest to verify service/socket
    - [373e3f23] d/rules: use pkg-info.mk to detect the package version
    - [8022d1d5] d/p/python3_support_in-SConstruct: add minimal dep-3 patch
      header
    - [00b447e6] d/control{.in}: point to current packaging repo with secure url
    - [7640cb28] d/control{.in}: update debhelper build dependencies per lintian
      warnings
    - [1b87b0c0] d/rules, d/control{.in}: do not depend on qt5-default meta
      package
    - [b7db9f61] d/source/lintian-overrides: mark gpsd-dbg not being a package
      with debug symbols
    - [7e4513b8] d/gpsd.{pre,post}{rm,inst}: drop code only needed for upgrades
      from oldoldstable
    - [53f3ec60] d/compat: bump to compat 11, no further changes needed
    - [40505722] standards-version 3.9.8: switch deprecated menu to FreeDesktop
      entries
    - [3d6613a5] standards-version 4.0.0: do not build man pages if nodoc is set
      in DEB_BUILD_OPTIONS
    - [dd9396d4] standards-version 4.0.1: Use priority 'optional' instead of
      deprecated priority 'extra'
    - [d3563a42] debian/watch: use https and signature verification
    - [397d7744] d/control{.in}: bump Standards-Version to 4.2.1
    - [cd2c0ad1] d/rules: switch to dh_missing to prepare for compat 12
    - [2e9946c7] d/rules: use dh_installsystemd for compat >=11
    - [0031cfc8] d/control{.in}: simplify by dropping conflicts/breaks not even
      in oldoldstable anymore
  * complete python3 support that was started in 3.17-6 (Closes: #883286)
    - [30da0ff0] d/control{.in}: fix duplicate-long-description in
      python[3]-gps packages
    - [c088a6d7] d/control.in: add missing python3 changes
    - [96a7df91] d/control{.in}: scons for python3 will need >=3.5
    - [cf5d6e63] d/control{.in}: remove ancient X-Python-Version
    - [f15fbbe8] d/rules: scons need target_python set for py2/py3
    - [91daffd9] d/python3-gps.install: follow subversion specific py3 shared
      objects naming convention
    - [f53cd4a2] d/control{.in}: let gpsd-clients also depend on python3 bits
    - [fd7ff117] d/control{.in}, d/gpsd-clients.install, d/python3-gps.install:
      tools gpscat, gpsfake and gpsprof are python2 and part of the cli tools,
      so move them from python3-gps to gpsd-clients
    - [69de7b75] d/control: add ${python3:Depends} to gpsd-clients in case
      upstream switches to python3
    - [2f1dc482] d/control{.in}: add python dependencies not picked up by
      dh_python
    - [25a79e9f] d/control{.in}: remove manual python dependency
      python:Depends will take care
    - [02c1d28c] d/rules: remap wrong install prefix enforced by scons
  * [fd58e624] New upstream version 3.18.1
    - [0abe62cb] d/p/full-systemd-support: update for 3.18.1
    - [d6e6fe9a] d/p/python3_support_in-SConstruct: dropped as it is in 3.18.1
    - [324d2966] d/control{.in}: add python dependencies for better checks in
      3.18.1
    - [7fd30c38] d/gpsd-clients.install: add new ubxtool and zerk to manage
      JAVAD and u-blox GPS
    - [1caba4b3] d/libgpsLIBGPSSONAME.symbols: update symbols to 3.18
    - [6eb6d26a] d/libqgpsmmLIBGPSSONAME.symbols: update symbols to 3.18
  * [d5ee2b3e] d/control[.in}, d/rules, d/usr.sbin.gpsd, d/gpsd.install: add
    apparmor profile for gpsd

  [ Bernd Zeimetz ]
  * [cc886877] Depend on the fixed scons version
  * [3ad7153a] Delete __pycache__ in clean target.
  * [b27def48] Add the build-in-debian .travis.yml again

  [ Christian Ehrhardt ]
  * [981b512c] d/t/control: mark test to require container.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [35763ca7] d/t/control: mark all binaries we need as dependencies (expect no base system to be present)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [950c3576] d/libgpsLIBGPSSONAME.install: use generated LIBGPSSONAME version.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [d8942ba4] - d/rules, d/libgpsLIBGPSSONAME.install: replace libgps.so.LIBGPSSONAME with a quirk to avoid issues by broken fakeroot.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [32ffa216] Let autopkgtest not fail build on travis.
  * [da9c1c8a] Use $(LIBGPS_SONAME) instead of hardcoded soname.
  * [a481720a] Updating debian/control from debian/control.in
  * [205cf6a0] Fix scons version in control.in, too.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 11 Dec 2018 22:06:12 +0100

gpsd (3.17-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * [ffb32ff8] Allow gpsd.service to be enabled by the admin at boot time.
    Be sure to keep it disabled. The admin needs to explicitely start
    it if needed.
    Closes: #928681

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 25 May 2019 11:55:30 +0200

gpsd (3.17-6) unstable; urgency=medium

  * [0e1dce7c] Build python3-gps. (Closes: #883286)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 21 Mar 2018 21:15:07 +0100

gpsd (3.17-5) unstable; urgency=medium

  * [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  * [6d0e69e3] Build with default compiler standard
  * [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  * [a744cad9] Updating debian/control from debian/control.in

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Dec 2017 00:57:01 +0100

gpsd (3.17-4) unstable; urgency=medium

  * [cbbe97a4] Build against QT5.
    Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #874905)
  * [aed76eeb] Depend on python-gi. (Closes: #885297)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Dec 2017 12:35:25 +0100

gpsd (3.17-3) unstable; urgency=medium

  * [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Oct 2017 17:26:55 +0200

gpsd (3.17-2) unstable; urgency=medium

  * Uploading to unstable.
  * [a13df427] Fixing last changelog entry.
    Some lines went missing, oops.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Oct 2017 23:16:41 +0200

gpsd (3.17-1) experimental; urgency=medium

  * [d21fbf15] Updated version 3.17 from 'upstream/3.17'
    with Debian dir 3099dc33257e902647917f2ad7e67eec078b0b42
  * [913ea95c] Fix SConstruct.
  * [d9d7b300] Python dbg _d.so files are not built anymore.
  * [f0ea0948] Install ppscheck + manpage
  * [7df3aa0a] Updating symbols files

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 16:12:28 +0200

gpsd (3.16-4) unstable; urgency=medium

  * [2405f456] Fix debug symbol handling.
    Debug symbols went missing when upstream switched the strip
    option name.
    Thanks to Andre Naujoks (Closes: #842792)
  * [74c3cd07] Updating debian/control from debian/control.in
  * [b66410da] hadle debian/control creation a bit better
  * [06a9623f] Use gz compression for now.
  * [44376877] Remove obsolete build dependency on hardening-includes.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 04 Nov 2016 23:35:14 +0100

gpsd (3.16-3) unstable; urgency=medium

  * [aa43cc65] Various patches were applied upstream.
    Take them from there, removing our version.
  * [1444f940] Build with -std=gnu++98. (Closes: #830993)
  * [505d032a] Remove netbase/systemd-sysv dependency.
    Not needed anymore. (Closes: #768100)
  * [b53473f0] Migrate to github.
  * [cb624dcb] Add travis.yml build stuff.
  * [1c3c3463] Updating gbp.conf to ignore travis.yml for debuild.
  * [d870a5c6] Don't rebuild for the static library.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Sep 2016 14:34:07 +0200

gpsd (3.16-2) unstable; urgency=medium

  * [5001c11a] Do not start gpsd.service by default.
    We use socket based activation only.
    If one needs a running gpsd.service at boot - without being started by
    gpsd.socket - you'll have to configure systemd to start it.
    Too many people have gpsd installed as dependency and do not need yet
    another running process.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 May 2016 15:35:20 +0200

gpsd (3.16-1) unstable; urgency=medium

  * [c3d16637] Merge tag 'upstream/3.16'
    Upstream version 3.16
  * [29863f7a] Snapshot changelog.
  * [e61a749f] refreshing patches.
  * [ddc25e61] Pick some patches from upstream.
    - Fix test_gpsmm building
    - Fix FTBFS on hurd (Closes: #821804)
  * [67d9aca8] Fix check for clock_gettime.
  * [67b39606] Update git-buildpackage config.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 30 Apr 2016 20:07:13 +0200

gpsd (3.15-2) unstable; urgency=medium

  * Uploading to unstable

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 20:02:31 +0100

gpsd (3.15-1) experimental; urgency=medium

  * [10e7caf] Install contrib/* as examples.
    Thanks to Sanjeev Gupta (Closes: #781688)
  * [2d150e4] Merge tag 'upstream/3.15'
    Upstream version 3.15
  * [4163f08] snapshot changelog.
  * [1ea8da4] Remove libgpsd.
    Upstream links it statically now and I can't be bothered to maintain
    patches as Gentoo and others do it.
    The result is a slightly larger gpsd-clients package and running
    the binaries in parallel will waste memory.
    Thanks to Paul Wise & Andreas Beckmann (Closes: #779286, #781567)
  * [bb7a556] scons distclean doesn't work anymore.
    use --clean + sconsclean.
  * [31ff968] Refreshing patches
  * [5861e60] Fix broken static linking of test_gpsmm
  * [ef84468] Install new files.
  * [f9e250c] Add patch to fix regression tests for leap second bump
  * [65b8ac6] Updating symbols file.
  * [7e3d4a4] Update libqgpsmm symbols.
  * [785e932] _STRUCT_TIMESPEC is not defined in time.h anymore.
    Only linux/time.h defines _STRUCT_TIMESPEC.
    Check for __timespec_defined additionally.
  * [0b56700] Fix struct member names in timspec.
  * [e723fdd] Use system clock_gettime again.
    Fix some more broken header checks in SConstruct.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 Oct 2015 20:02:07 +0100

gpsd (3.12-1) experimental; urgency=medium

  * [9f0dfbda] Merge tag 'upstream/3.12'
    Upstream version 3.12
  * [0896c861] Refresh/update patches.
  * [9daccea4] Fix test_ debug tool list.
  * [85f4f0bb] Add patch to fix test_gpsmm.
  * [9c511016] Add some new symbols to the symbols file.
  * [30cf1b92] Add dh-python as build dependency.
  * [24c325f9] Bump library sonames in package names.
  * [a810ac32] Update libqgpsmm symbols file
  * [1bf373c6] Fix some lintian errors.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 23 Feb 2015 22:37:42 +0100

gpsd (3.11-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * [dd6bbdf1] avoid prompting due to modified lenny conffiles

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Jan 2015 12:15:44 +0100

gpsd (3.11-2) unstable; urgency=medium

  * [a759614c] Avoid prompting due to modified squeeze conffiles.
    Thanks to Andreas Beckmann (Closes: #774872)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 08 Jan 2015 21:35:30 +0100

gpsd (3.11-1) unstable; urgency=medium

  * [325d1900] Merge tag 'upstream/3.11'
    Upstream version 3.11
  * [8d86b938] Refreshing patches.
  * [877cbcf3] Update symbols file.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 10 Sep 2014 21:59:28 +0200

gpsd (3.10+dev3~d6b65b48-4) unstable; urgency=medium

  * [8ae93e0]] Two systemd related changes that were forgotton.
    - do not install the old hotplug wrapper
    - don't forget the @ in gpsdctl@.service.
    Thanks to Jeremy Lainé

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Aug 2014 22:12:33 +0200

gpsd (3.10+dev3~d6b65b48-3) unstable; urgency=medium

  * [95fcff8b] Add patch to fix PPS with large offsets.
    Taken from Fedora.
    Thanks to Miroslav Lichvar <mlichvar@redhat.com>
  * [27452a76] Use the Debian package version as gpsd revision.
  * [aca85fbe] Add full systemd hotplug and gpsd options support.
    gpsdctl.service idea taken from Fedora.
    Default gpsd.service file enhanced to read options from
    /etc/default/gpsd.
    Thanks to Miroslav Lichvar, Eduard Bloch (Closes: #741186)
  * [72a6a4af] Disable hotplugging of ftdi/pl2302 usb<>serial adapters.
    These adapters are too common to hit them with the gpsd hotplug script.
    (Closes: #550964, #696020)
  * [e60cdd47] Remove start/stop options from dh_installinit.
    insserv handles boot ordering these days.
    Thanks to Paul Wise (Closes: #751746)
  * [5ed9e35e] Run dh_systemd_* on the gpsd package only.
    Also start gpsd.service only, not gpsdctl.service.
  * [0e50ca3a] Remove hardening-includes.
    dpkg-buildflags ships the appropriate hardening flags.
  * [631b275e] Listen on ipv4 and ipv6.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Aug 2014 21:02:49 +0200

gpsd (3.10+dev3~d6b65b48-2) unstable; urgency=medium

  * [7b5a9811] Set GPSD_SOCKET to the default location.
    Thanks to Jeremy Laine (Closes: #756488)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Aug 2014 17:19:32 +0200

gpsd (3.10+dev3~d6b65b48-1) unstable; urgency=medium

  * [4dfc1c93] Merge tag 'upstream/3.10+dev3_d6b65b48'
    Upstream version 3.10+dev3~d6b65b48
    Fixes the FTBFS on Hurd (Closes: #738646)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jun 2014 22:38:47 +0200

gpsd (3.10+dev2~23b0752e-1) experimental; urgency=medium

  * [309428c3] Merge tag 'upstream/3.10+dev2_23b0752e'
    Upstream version 3.10+dev2~23b0752e
  * [d8509d0f] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 23 May 2014 00:10:24 +0200

gpsd (3.10+dev1~a33bfd44-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Mar 2014 22:54:07 +0100

gpsd (3.10+dev1~a33bfd44-1) experimental; urgency=medium

  * [00204bd2] Merge tag 'upstream/3.10+dev1_a33bfd44'
    Upstream version 3.10+dev1~a33bfd44
  * [8fb0bebf] Refreshing patches.
  * [8c230112] Updating symbols files.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 22 Jan 2014 23:59:49 +0100

gpsd (3.10-4) experimental; urgency=low

  * [fe9286df] Remove /etc/dfault/gpsd if it is the default debconf version.
    Otherwise ask the user about what to do.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #730845)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 Dec 2013 17:36:42 +0100

gpsd (3.10-3) experimental; urgency=low

  * [0230e47a] Mark shm related symbols as optional.
    Before we had a fixed list of architectures - too much work to maintain.
    Marking the shm related symbols as optional is easier - and gpsd should
    build fine on all architectures again - seems some more got shm support.
  * [9bb3eafb] Add upstream fix to make gpsd build on hurd again.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 30 Nov 2013 01:51:04 +0100

gpsd (3.10-2) experimental; urgency=low

  * [c7326670] Handle new /etc/default/gpsd sanely.
    Avoid asking users to keep the current config file version in case an
    older gpsd package was installed before.
    Also remove all special upgrade handling code for upgrades from versions
    pre-lenny. So gpsd upgrades from Etch directly to Jessie might fail.
    Thanks to Andreas Beckmann (Closes: #730680)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Nov 2013 23:43:20 +0100

gpsd (3.10-1) experimental; urgency=low

  * [54ddafb7] Install test_* tools for autopkgtest tests.
  * [3610e162] Use ${binary:Version} for -dev package.
    It is arch:any due to multiarch requirements.
  * [6c9a5c07] Add versioned dependencies on libgps20.
    Due to libgpsd being shipped in the libgps package
    we need a strict dependency on the package for
    gpsd and gpsd-clients. Otherwise installing a
    backported package might result in broken gpsmon/gpsd.
    Thanks to narcos in #gpsd.
  * [6269418e] Merge tag 'upstream/3.10'
    Upstream version 3.10
  * [d4b81aa9] Removing hurd_path_max_fix, seems to be fixed by upstream.
  * [d26d1c6f] Get rid of debconf questions.
    Also provide a sane /etc/default/gpsd and move
    from using /var/run to /run.
  * [d267e21c] Run gpsd as user _gpsd in group dialout.
  * [dc5c4753] Allow half-automatic soname transitions.
    Change the packaging to rename files and update debian/control
    automatically when the soname changes.
    Obviously symbols files and co need to be fixed manually.
  * [64052c68] Updating debian/control from debian/control.in
  * [f549c100] Add patch from upstream to stop scons from removing debian/control.
  * [6d1ab218] Migrate to 3.0 (quilt) source format.
  * [d3f730da] Updating debian/control from debian/control.in
  * [61865d72] Add patch to stop scons from linkig everything statically.
  * [64c4a718] Call scons with distclean instead of -c.
  * [355d6a7f] Also install test_maidenhead.py in gpsd-dbg.
  * [4af3d11f] Do not clean test_* binaries after scons check.
  * [359c3e41] Also run distclean before building the static library.
  * [410cdb29] Ensure all test tools are being built.
  * [5cfb0747] Install gps2udp(1) in gpsd-clients.
  * [8903fd0e] Update library symbols files.
  * [216b031a] Run dh_python2 for usr/bin and other python script locations.
  * [1e536270] Remove rpath from all files, including debug files.
  * [8187c631] Use gpsd instead of _gpsd as user account.
  * [7e6dc703] Remove some left over traces of debconf.
  * [c97ea78b] Also change username in debian/rules.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Nov 2013 14:33:46 +0100

gpsd (3.9-3) unstable; urgency=low

  * [75fe68f6] Add patch to work around the PATH_MAX issue on hurd.
    The patch was not applie dupstream and went missing on the last upload.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 06 Aug 2013 22:26:32 +0200

gpsd (3.9-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [649f6e3b] Fix symbols file for m68k and others without unsigned long.
    (Closes: #718741)

  [ Michael Stapelberg ]
  * [d41eaabd] switch to dh-systemd for proper systemd maintscripts
    (Closes: #714199)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 05 Aug 2013 16:23:10 +0200

gpsd (3.9-1) unstable; urgency=low

  * [5c5616d5] Imported Upstream version 3.9
  * [6503bfe7] Adding pt_BR translation.
    Thanks to Adriano Rafael Gomes (Closes: #693375)
  * [f3a7edf5] Dropping all patches, applied upstream.
  * [105f538b] Updating changelog.
  * [420650f8] Merge branch 'upstream'
  * [d57dcc29] libgpsd bumped its soname, no transitions involved.
  * [d676aeb1] Update symbols files.
  * [bd7ffc51] Handle the situation that libgpsd has soname different from libgps.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 19 May 2013 22:28:09 +0200

gpsd (3.6-5) unstable; urgency=medium

  * [818fb0a6] Fixing two security bugs in gpsd
    - one triggered by malformed NMEA packets, making gpsd crash
    - the other one is a possible DOS in the AIS parser,
      CVE-2013-2038
    Thanks to Salvatore Bonaccorso (Closes: #706665)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 03 May 2013 20:57:35 +0200

gpsd (3.6-4) unstable; urgency=low

  * [8607cd96] Add some bugfixes from upstream.
    - Avoid adding devices with path names longer than
      GPS_PATH_MAX
    - Accept Freescale i.MX processor UARTs as serial port
    - Fix the notification of ntpd about leap seconds.
  * [528213ef] Update regression tests according to the leap second change.
    Whenever the default leap second changes in timebase.h the
    GPS tests will break (times one second off) and the testloads will
    have to be rebuilt.  The problem is in the SiRF tests; that driver
    relies on the default until it gets the current offset from subframe
    data.
    timebase.h is being created from the leapseconds.cache file at build
    time. As leapseconds happen rarely, there is no support to read them
    from a config file included yet.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Jul 2012 21:46:21 +0200

gpsd (3.6-3) unstable; urgency=low

  * [97970af1] Adding two bugfix patches from upstream:
    * handle long persistent device names
    * better check for endianness, this fixes rtcm2 regressions
      at least on s390.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 May 2012 17:28:24 +0200

gpsd (3.6-2) unstable; urgency=low

  * [4b625138] pps-tools is available on linux-any only.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 24 May 2012 21:41:00 +0200

gpsd (3.6-1) unstable; urgency=low

  * [13931410] Imported Upstream version 3.6
  * [e3ed1468] Drop old patches, add a new bugfix from upstream git.
  * [936babaf] Add pps-tools as build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 May 2012 20:38:16 +0200

gpsd (3.5-7) unstable; urgency=low

  * [694d9866] Refreshing patches and picking more bugfixes from git HEAD.
    Including a fix for a segfaults happening in the aivdm driver after
    compiling it with stack-protector and gcc 4.7.
  * [4336fd02] Revert "Disable hardening flags."
    This reverts commit 8c722b60761fe405e658ba5e4f3acd040694b215.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 May 2012 18:54:45 +0200

gpsd (3.5-6) unstable; urgency=low

  * [4ee5b139] Add patches which went missing.
  * [8c722b60] Disable hadening flags.
    gpsdecode segfaults when built with gcc 4.7 with hardening flags
    enabled.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 May 2012 22:45:20 +0200

gpsd (3.5-5) unstable; urgency=low

  * [a6efe8a2] Revert "Removing makedev from build-dependencies."
    This reverts commit bc30a21b6046bb7153ce7a4e8606017231717803.
    makedev seems to be required on mips.
  * [d7d04c9b] libgps20: demote gpsd from Recommends to Suggests.
    There is still no nice-ish way to tell gpsd to ignore some devices from
    being detcted automatically. Not installing gpsd might be the better
    option here - please note that I'm still not convinced to keep it as
    'Suggsts' - but for now it will stay there. (Closes: #662587)
  * [edc9db9c] Refreshing patchs and pulling more fixs from git.
  * [8305d5cc] Update symbols file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 May 2012 21:06:51 +0200

gpsd (3.5-4) unstable; urgency=low

  * [bc30a21b] Removing makedev from build-dependencies.
    Not needed anymore.
  * [44599785] Pull a lot of patches from upstream.
    They fix at least some of the regressions on our unusual architectures.
  * [13f118ff] Add new ubits/sbits symbols to symbol files.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 20 Apr 2012 19:06:41 +0200

gpsd (3.5-3) unstable; urgency=low

  * [bfb00dff] More symbol file fixes.
    Hope nothing missing again.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Apr 2012 22:11:14 +0200

gpsd (3.5-2) unstable; urgency=low

  * [ce2ef186] Fix libqgpsmm20.symbols for !amd64

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 16 Apr 2012 21:27:39 +0200

gpsd (3.5-1) unstable; urgency=low

  * [89fd651b] Imported Upstream version 3.5
    - includes a patch to fix permissions on /var/run/gpsd.sock
      (Closes: #655504)
  * [9c97fe0f] Dropping SConstruct_bugfixes patch, applied upstream.
  * [06466618] Don't add . as target for scons -c
  * [5fb7dd4f] Updating libqgpsmm20.symbols.
    Most of the code is being built with g++ now, so symbol names have
    changed. This would ask for a soname bump normally, but I hope that
    there are only a few rare users of the library so far.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 15 Apr 2012 12:16:00 +0200

gpsd (3.4-2) unstable; urgency=low

  * [26984e29] Limit gps_shm_* symbols to amd64.
    Due to missing hardware memory barrier support  they are only
    available on amd64 for now.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 19 Jan 2012 23:38:51 +0100

gpsd (3.4-1) unstable; urgency=low

  * [586a26d6] Adding patch to add udev support for ublox 6.
    Thanks to Matthias Cramer (Closes: #650774)
  * [95ad304d] Removing duplicate dpkg-dev build-dependency.
  * [dc598b94] Match all multi-arch directories in lintian-overrides.
  * [21e15bf1] Update PATH_MAX patch with the version from upstream.
  * [50d20a7e] Add scrpt to retrieve patches by sha.
  * [1fd3563d] Add some bugfixes from upstream.
  * [19235ec1] Add patches to incorporate the latest IERS update.
  * [afd06945] Add missing Requires in gpsd.service.
    Thanks to Eckhart Wörner (Closes: #655349)
  * [42fffb44] Imported Upstream version 3.4
  * [d8cc83c3] Dropping all patches as they were applied upstream
    (still updating SConstruct, though).
  * [782cd0ab] Update SConstruct.
    Taken from upstream, including a fix to avoid building Python modules
    with -pie/-fPIE.
    Thanks to Lucas Nussbaum (Closes: #655797)
  * [0d3308e1] gpsd: depend on netbase | systemd-sysv.
    Let's support the systemd fans.
    Thanks to Eckhart Wörner (Closes: #644429)
  * [461f6051] Clean leapsecond.pyc.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 18 Jan 2012 23:27:05 +0100

gpsd (3.3-5) unstable; urgency=low

  * [dda63e69] Applying hurd/qt related fixes to debian/control.
    Thanks to Pino Toscano
  * [140e3d04] Add patch to work around the PATH_MAX issue on hurd.
    Thanks again to Pino Toscano
  * [2cf9d701] Fix typo in gpsd(8). Thanks to lintian!

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 02 Dec 2011 20:40:50 +0100

gpsd (3.3-4) unstable; urgency=low

  * [54b394bf] Adding some optional symbols to libqgpsmm20.symbols
  * [ca35e059] Fix systemd service file.
    Thanks to Eckhart Wörner (Closes: #640642)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 01 Dec 2011 21:10:13 +0100

gpsd (3.3-3) experimental; urgency=low

  * [823c8c1c] Add patch to fix FTBFS where c_ispeed is not in the
    termios struct.
  * [93b46927] Use dpkg-buildflags and add hardening includes.
  * [77fb545d] Add missing creation of build-stamp.
  * [66fc5284] Updating the projct's homepage.
  * [750f664e] Add support for multi-arch to the library-packages.
  * [4c8f4d4b] gpsd should conflict with fso-gpsd, too.
  * [9dd870d3] Recommend gpsd from libgps as it is usually used with
    the daemon.
  * [49b76353] Mark gpsd as Multi-Arch: foreign.
  * [b39d977d] Fix libdir handling with yet another SConstruct update.
  * [60a5c7b6] Ensure CFLAGS/LDFLAGS/... are passed to scons.
  * [ab65f568] libqgpsmm-dev needs to be arch:any for multiarch.
  * [31786978] Ignore libgpsd for shlibs/symbols generation.
    This also works around dpkg-gensymbols ignoring the -e option.
  * [c7fcaf8b] Updating lintian-overrides for libgpsd.
  * [bfbca8e2] Replace manpage with .so link with a symlink.
  * [bbc14b7c] Disable the default start of gpsd at boot time.
    Let udev handle it.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Nov 2011 12:45:53 +0100

gpsd (3.3-2) experimental; urgency=low

  * [3c956714] Add python-cairo as dependency of gpsd-clients.
  * [17bf12aa] Ignore the result of the regression checks.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Nov 2011 21:32:33 +0100

gpsd (3.3-1) experimental; urgency=low

  * [4a4e73e9] Merge branch 'master' of git://git.recluse.de/debian/pkg-gpsd
  * [699cdd58] Updating watch file to reflect the move to savannah.
  * [8e0670df] Imported Upstream version 3.3 (Closes: #647451)
  * [c1c77d28] Remove all patches, all applied upstream.
  * [914e1241] Updating SConstruct to latest versoin from git.
  * [d229ebde] Use dh compat level 7.
  * [ef9c15f7] Change build-dependencies form autotools to scons.
    Also require debhelper 7.
  * [c6f0b58c] Changelog snapshot.
  * [4598af00] unfinished new debian/rules file.
  * [3bda9f0f] Update SConstruct_bugfixes patches.
  * [96b5a72b] Various fixes in debian/rules.
  * [bdc5f23e] Current SConstruct requires scons 2.0.1
  * [f2dc12df] Pick some fixes from upstream:
     * Integrate libQgpsmm_global.h into libgpsmm.h. (Closes: #636647)
     * Create QT .pc/.prl files.
  * [310fd91b] Allow to disable checks with DEB_BUILD_OPTS
  * [45f6ffc9] gpsd.hotplug.wrapper does not exist anymore.
  * [4c093c00] Update SConstruct again.
  * [f3e085fc] Build Python debug extensions.
  * [babbcce0] Build static libgps library.
  * [d440261a] Ensure all rpaths are removed from ELF binaries.
  * [1e2a9e13] Revert "Install libQgpsmm_global.h to /usr/include."
    This reverts commit 4d38c0e227c96fef286e09b784a9e66cd4c7e2ca.
  * [94340c88] Rename symbols files.
  * [dad64865] Install libgps.so into libgps-dev.
  * [63893ebe] Add dh_install file for python-gps.
  * [e6695ff2] Use dh_install --fail-missing.
  * [14f8f038] Rename lib*gps19 to lib*gps20.
  * [aee30106] Ensure all files from debian/tmp are being installed.
  * [1c2d6540] Don't install debug files into python-gps.
  * [551ab0f3] Merge branch 'master' of git.recluse.de:debian/pkg-gpsd
  * [dcad12f6] Fix merged SConstruct patch.
  * [af524e52] Fix egg.info file location.
  * [7c1409fb] Don't install libQgpsmm into libgps20.
  * [17ec3d0f] Add libqgpsmm20.install file.
  * [811d3aad] Update symbols files and generation.
    Don't build symbols for libgpsd - internally used only.
  * [4d44e94c] Update SConstruct to avoid building leapseconds.cache
  * [b6f9c342] Fix package name in symbols file.
  * [167c26f2] Also update soname version in debian/rules.
  * [60e22600] Fixing W: gpsd: script-not-executable lib/udev/gpsd.hotplug
  * [dbe9f57f] Bumping Standards-Version to 3.9.2, no additional changes.
  * [4cfcfe3a] Add lintian override for libgpsd20.
    libgpsd20 should not be used in other applications, so we don't provide
    any development files and help.
  * [7bd1b334] Add some patches to fix lintian warnings.
  * [7ad23ecd] Add patch from upstream: Add socket and service info for systemd.
  * [3ba738ea] Install systemd service and socket files.
    Thanks to Eckhart Wörner (Closes: #640642)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 11 Nov 2011 23:21:10 +0100

gpsd (2.95-15) unstable; urgency=low

  * [3c1beb8b] Fix the broken Danish translation file.
    Seems the last NMUer uses mutt :)
    Thanks to Christian Perrier (Closes: #647805)
  * [41f11f7e] Remove 'start/stop script' from init script descriptions.
    Thanks to Tollef Fog Heen (Closes: #625535)
  * [e6c62cf1] Make libgps19.symbols compatible to older g++ versions.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 Nov 2011 19:03:05 +0100

gpsd (2.95-14) unstable; urgency=low

  * [cd15ce8c] Use [linux-any] instead of [!kfreebsd-* ].
  * [3baab888] Import isotime function in gps.gps.
    Thanks to Dietrich Feist (Closes: #646434)
  * [06edd34a] Adding a new symbol recent g++ versions seem to produce.
  * [49fe128a] Ack'ing NMU.
    Thanks to Luk Claes (Closes: #632126)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 05 Nov 2011 09:33:36 +0100

gpsd (2.95-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621300).
  * Add Danish debconf translation (Closes: #623089).
  * Update Dutch debconf translation (Closes: #627923).

 -- Luk Claes <luk@debian.org>  Wed, 29 Jun 2011 20:08:09 +0200

gpsd (2.95-13) unstable; urgency=low

  * [2cc9b878] Don't call libtool with /bin/sh as sh != bash.
    Thanks to Stefano Rivera (Closes: #621992)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Jun 2011 01:08:15 +0200

gpsd (2.95-12) unstable; urgency=low

  * [698d1af4] Really fix the Python shebang issue.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 11 Mar 2011 22:52:06 +0100

gpsd (2.95-11) unstable; urgency=low

  * [37e64446] Add patch to avoid a segfault if the X server doesn't answer.
    Thanks to Timo Juhani Lindfors (Closes: #602925)
  * [cfe6b9ac] Cherry pick a spelling mistake fix.
  * [bba3fff8] Ensure that Python scripts use the default Python version.
    Thanks to Timo Juhani Lindfors (Closes: #617836)
  * [e43ca632] Move dh_clean to the end of clean commands.
    This ensures that debhelper logfiles are removed.
  * [c25e0a0f] Don't be strict about symbol files if QT is involved.
  * [4f4f6b5f] Add some new optional QT symbols to the library.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 11 Mar 2011 22:01:29 +0100

gpsd (2.95-10) unstable; urgency=low

  * [2ae11d60] Cherry-pick a fix for /lib/udev/gpsd.hotplug.wrapper.
    It fixes the problem that the wrapper needed a gpsd socket to start gpsd.
    Thanks to Frédéric Boiteux (Closes: #603025)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Feb 2011 12:58:40 +0100

gpsd (2.95-9) unstable; urgency=low

  * [979fcdf3] Make QT symbols optional in the symbols file. (Closes: #605833)
  * [09f64fb5] Run dh_autoreconf to reconfigure automake and friends.
  * [13e861d9] Add dh_buildinfo information to the debug package.
  * [40d19cf2] Add patch to fix a missing symbol reference. (Closes: #605835)
  * [17af8fa9] Migrating from python-support to dh_python2.
  * [77dab448] Use -a instead of -s on debhelper calls.
    -a is euqally smart now and dh_python2 doesn't implement -s.
  * [1605f83d] Ensure dh_python2 handles /lib/udev/gpsd.hotplug
  * [cbb6e2a7] Recommend python for gpsd as workaround.
    dh_python2 ignores scripts due to a programming error.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Feb 2011 19:27:30 +0100

gpsd (2.95-8) unstable; urgency=low

  * [b6aae9a2] Stripping unnecessary options/comments from
    debian/gbp.conf
  * [405de6db] Add patch to fix a SEGV when receiving short aivdm
    message type 26. (Closes: #603439) - thanks to Nirgal Vourgère

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 16 Nov 2010 20:26:10 +0100

gpsd (2.95-7) unstable; urgency=low

  * [0990a703] Ensure that regression tests run once only.
  * [e90a807c] Adding a patch to fix a segfault in cgps.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Oct 2010 23:58:54 +0200

gpsd (2.95-6) unstable; urgency=low

  * [928249f4] Disable testregress on hurd instead of disabling it
    everywhere else.
  * [95558a3b] Adding a patch to fix some identation errors in Python
    scripts/modules.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 29 Aug 2010 21:59:25 +0200

gpsd (2.95-5) unstable; urgency=low

  * [2b352879] Print config.log if configure was not successful.
  * [55d159a5] Use pkg-config to retrieve the linking options for
    libusb-1.0.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 05 Aug 2010 11:32:41 +0200

gpsd (2.95-4) unstable; urgency=low

  * [e8974d54] Avoid running 'make testregress' in the fakeroot
    environment.
  * [c2cbc5cb] Disable regression tests on hurd due to weird ipv6
    errors.
  * [810ae224] Force Python scripts to be installed with python. This
    ensures that the scripts' shebangs point to /usr/bin/python instead
    of python2.X (Closes: #591667) - thanks to Steven Chamberlain
  * [ef74ca9c] Add patch to avoid waiting for filesystems in the hotplug
    wrapper. (Closes: #591324) - thanks to Jean-Luc Coulon

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 05 Aug 2010 01:23:33 +0200

gpsd (2.95-3) unstable; urgency=low

  * [a708cb3e] Install the new xgpsspeed into gpsd-clients. This went
    forgotton until now unfortunately.
  * [2af42abb] Also libbluetooth-dev is not available on hurd.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 16 Jul 2010 11:55:52 +0200

gpsd (2.95-2) unstable; urgency=low

  * [b5f5b537] Add two patches from upstream to fix the json output.
  * [98f19484] Work around different QT symbols. QT produces different
    symbols depending on platform and QT version. Use (c++) style
    symbols and make some of them optional.
  * [07979908] Ship gpsd.php as example in gpsd-clients. Not sure if
    thats the best place to do so, but for now it will work. (Closes:
    #581864) - thanks to Jaap Winius
  * [acb9f48d] libusb is not available on hurd. Update Build-Depends and
    debian/rules accordingly.
  * [2999a1ad] libbluetooth-dev is not available on kfreebsd. Update
    Build-depends and debian/rules accordingly.
  * [c4e7e243] Use ${python:Depends} in gpsd's Recommends.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 16 Jul 2010 01:12:00 +0200

gpsd (2.95-1) unstable; urgency=low

  * [0d95785d] Fix spelling error in changelog: libusv -> libusb.
  * [d9843485] Add pkg-config as dependency to libgps-dev.
  * [a98f04f7] We need libusb 1.0.0 or later.
  * [8dd45af1] Merge commit 'upstream/2.95'
  * [76b33dfd] Add new build-dependencies and package for libqgpsmm.
  * [33adc3de] Remove patches which were applied upstream.
  * [b7b67af3] Add patches to build pkg_config and prl files for
    libQgpsmm.
  * [026d1716] Add libqgpsmm-dev package description to debian/control.
  * [e7ee7548] Install libqgpsmm19/-dev files into their packages.
  * [f13517c7] Enable experimental Bluez support
  * [1232539e] Provide LIBUSB_LDFLAGS to work around a bug in the auto
    detection.
  * [1095d27b] Fix lib version handling to work with the current
    version.
  * [472f1bd4] Update po files as requested by debconf-updatepo.
  * [c02f2aac] Remove symbols files for different architectures. The
    symbols are equal on all arches since some time, no need for them
    anymore.
  * [71f1543d] Updating symbols file.
  * [9957b838] Add symbols file for libqgpsmm19.
  * [7518cab1] Run regress-driver via UDP as a test.
  * [a665e097] Add bc as build-dependency as it is used by regress-
    driver.
  * [6f820c15] Actually build arch-indep packages.
  * [6f31cbad] Bumping Standards-Version to 3.9.0, no changes needed.
  * [2faf3d23] Move xgpsspeed into the gpsd-clients package.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 15 Jul 2010 14:46:02 +0200

gpsd (2.94-2) unstable; urgency=low

  * [fbf3a00f] Build Python scripts with 'python' first.
  * [997bbb72] Add libusb-dev as build dependency.
  * [325a0fe8] Although not necessary any more, start gpsd before ntp.
  * [79029259] python-gps needs to conflict with python-json.
  * [e42b75ed] Backport Python related changes/fixes from git master.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 10 May 2010 01:02:23 +0200

gpsd (2.94-1) unstable; urgency=low

  * [3d0e6783] Merge commit 'upstream/2.93'
  * [f59e0254] Updating patches for the new upstream version.
  * [51fb722a] Merge commit 'upstream/2.94'
  * [baf251fd] Add python-gtk2 as dependency of gpsd-clients.
  * [3db586ad] Adding patch to fix missing definition of MAKE in
    setup.py clean.
  * [ffbcd0c0] Allow setup.py clean to fail as it needs to be patched to
    work.
  * [a3215888] Add patch to fix linking of libgpsd.
  * [64d6d97d] Install libgpsd into libgps(-dev).
  * [1a82a76e] Update symbols file after the library split.
  * [a37176ee] Don't install -dev files of libgpsd. Upstream does not
    want to expose the library more than necessary. So we remove/do not
    install all related files.
  * [c1f8fc05] Don't install xgps into the python-gps package.
  * [46c6bca9] Add patch to fix version detection in setup.py.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 23 Apr 2010 03:02:20 +0200

gpsd (2.92-4) unstable; urgency=medium

  * [8fcedc1e] gpsd: Move python to Recommends python is only needed
    when udev is used, udev is in Recommends only, so it does not make
    much sense to have Python in Depends.
  * [d0b914c1] Fix gpsd socket location parsing in gpsd.config. (Closes:
    #576316) - thanks to Sascha Silbe
  * [7325341a] Include gpsctl manpage in gpsd-clients.
  * Keeping the medium urgency as the package was kept out of the
    archive due to the breakage of ries/ftp-master.debian.org.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 06 Apr 2010 13:14:41 +0200

gpsd (2.92-3) unstable; urgency=medium

  * [82dc8560] Pick bugfix from upstream. Actually close the daemon
    socket in a library close()
    Medium urgency as this bug affects all applications which use
    libgps.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 01 Apr 2010 22:08:55 +0200

gpsd (2.92-2) unstable; urgency=low

  * [554ff5f1] Remove libxt-dev, lesstif2-dev, libxaw7-dev from Build-
    Deps. This is necessary to allow gpsd to go into Ubuntu main.
    Unfortunately there is no working xgpsspeed replacement right now,
    but this will change again in the future.
  * [26946196] Install only listed files into the gpsd-clients package.
  * [0642fc20] Remove all occurences of xgpsspeed.
  * [83002c3e] Handle Breaks: udev for gpsd in Debian.
  * [f11f44a5] Delete default_units patch, not needed anymore.
  * [3723afb4] Add patch from svn r7029 to fix the Python gps
    excerciser. The non-streaming function failed before as the query
    function was removed. (Closes: #569703, #562204) - thanks to Travis
    Hampton and Timo Juhani Lindfors
  * [992c4ca9] Limit packaging to source format 1.0 for now.
  * [411b880c] Pick several patches from upstream.
       - Fix for missing mode information in JSON (Closes: #573752)
       - Make xgps robust against JSON with no time field.
       - Default to the new protocol in the library as this is the default
         protocol the daemon uses.
  * [ef59451f] Ignore symbols files changes when DEB_BUILD_OPTIONS is
    set. Not stripping the library leaves some additional symbols, so we
    just ignore that when the package is being built with debug options.
    (Closes: #572705) - thanks to Timo Juhani Lindfors
  * [d94fc908] Fix a small bug in the handling of 'Breaks' for udev.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 15 Mar 2010 11:17:55 +0100

gpsd (2.92-1) unstable; urgency=low

  * New upstream version. The following bugs were fixed by upstream
    since the last upload:
    - Wrong test in /lib/udev/gpsd.hotplug.wrapper prevents proper device
      removal. Thanks to Luca Niccoli (Closes: #561574)
    - ATTR doesn't match in /lib/udev/rules.d/60-gpsd.rules.
      Thanks to Philipp Matthias Hahn (Closes: #567827)
    Below follows a detailed list of changes in the Debian packaging:

  * [85173097] Use upstream's gpsd.hotplug.wrapper.
  * [d83cdf70] Updating debconf translation: ca.po (Closes: #562717) -
    thanks to Jordà Polo
  * [c06f0bcb] Updating debconf translation: fr.po (Closes: #564877) -
    thanks to Christian Perrier
  * [c4ca2af7] Updating debconf translation: vi.po (Closes: #569656) -
    thanks to Clytie Siddall
  * [b901c8ac] Updating po files according to the fixed template.
  * [238680d1] Drop xgps related patches as it is written in Python now.
  * [08ce719f] Don't install xgps.ad anymore.
  * [baec0c9d] Imported Upstream version 2.91
  * [3c5c96a1] Work around autotools trying to handle Python stuff.
  * [8a19e205] Update gpsd-dbg.install to list the new Python dbg
    modules.
  * [58a72a9b] gps.py is in the gps module now, update debian/rules
    accordingly.
  * [0293e4f3] Updating symbols file for libgps19.
  * [441f05fb] Don't install gpsd-client binaries in two packages.
  * [0a6eb429] Require python-gps from gpsd-clients for xgps.
  * [cf61c2ab] Bump Standards-Version to 3.8.4. No changes needed.
  * [25a5d53a] Add ${python:Depends} for gpsd-clients.
  * [47c910f1] Add postinst script for gpsd-clients. We need to remove
    the xgps config file as it is not shipped anymore.
  * [0cda84e5] Cleaning upstream sources from svn leftovers.
  * [91e1f08d] Imported Upstream version 2.92
  * [38feb394] Clean .so and .pyc files from the gps folder in the clean
    target.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Mar 2010 21:19:37 +0100

gpsd (2.90.1~svn6819-1) unstable; urgency=low

  * SVN snapshot, uploading to unstable as it fixes
    the blocking issues with gps_poll.
    The non-blocking gps_poll was introduced while fixing
    an issue in gps_unpack, so this upload also
    Closes: #561280

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 Dec 2009 10:25:26 +0100

gpsd (2.90-2) unstable; urgency=low

  * Upload to unstable.
    This will also fix the following issues:
    - gpsd doesn't support pipelining (Closes: #488913)
    - FTBFS with binutils-gold (Closes: #554739)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 08 Dec 2009 13:51:27 +0100

gpsd (2.90-1) experimental; urgency=low

  * New upstream release.
  * [bb9c3eb5] Add Conflicts: fso-gpsd to libgps19. fso-gpsd is a mess
    and not supported.
  * [4b2d3b57] Merge commit 'upstream/2.90'
  * [fdad4622] Work around --disable-python not being available anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Dec 2009 11:13:14 +0100

gpsd (2.90~svn6694-1) experimental; urgency=low

  * SVN snapshot.
  * [10b2460a] Include gps.h in Tachometer.c, needed to define UNUSED.
  * [3f75872e] Merge branch 'experimental-upstream' into experimental
  * [33831f96] Update gbp config for experimental.
  * [476e547e] Update soname in debian/control.
  * [0561c6cf] Updaing patches, dropping those which were applied
    upstream.
  * [d721c055] Revert "Revert "Remove workarounds for broken --disable-
    python."" This reverts commit
    0e5c78b75ec0390b9317c4e8db3f9294ae9cf319. Conflicts:  debian/rules
  * [151e52e5] Clean up patches which were applied by upstream.
  * [b9bff239] Merge branch 'experimental-upstream' into experimental
  * [981b2ce1] Ship gps.1 again as the package `gps' was RMed from
    Debian.
  * [9674fb87] Add a Conflicts: gps for gpsd-clients. Just in case the
    package is still installed somewhere.
  * [6c788d8d] Clean ../gpsd_config.h.in~ in case it was left by the
    build.
  * [cf72c26f] Delete packaging/gpsd.spec.in.rej, was done upstream
    also.
  * [5eadc03b] Dropping INSTALL-description-fix. Not necessary anymore.
  * [c4a1d3f1] python-gps needs python2.6 or simplejson, update Depends.
  * [5e8ed26d] Do not try to install manpages via gpsd-clients.install.
  * [2b598581] s/dj_installman/dh_installman/
  * [1fc3151e] Update symbols files for the new soname.
  * [f530af1b] Install missing manpages which were forgotten before.
  * [9a964d22] Make hotplug wrapper executable.
  * [06b11aa2] Add python-gps.manpages to install manpages.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 03 Dec 2009 21:12:54 +0100

gpsd (2.39-8) unstable; urgency=low

  * [a9e9d167] Export needed variables for the hotplug script. (Closes:
    #556956) - thanks to Luca Niccoli
  * [254f1da4] Add a missing % which caused USB autostart to fail.
    (Closes: #556954) - thanks to Luca Niccoli
  * [2990d2cc] Updating debconf translation: pt.po (Closes: #556250) -
    thanks to "Traduz - Portuguese Translation Team"
  * [dc6305e7] Updating debconf translation: sv.po (Closes: #556580) -
    thanks to Martin Bagge
  * [6066918d] Add missing : in po files and unfuzzy them.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 18 Nov 2009 17:39:31 +0100

gpsd (2.39-7) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [bda49bd9] Bumping Standards-Version to 3.8.3. No changes needed.
  * [cdf3c74c] Fix hotplug script environment patch to ensure that
    'None' is not passed as gpsd option.
  * [67cde41b] Don't check for "$START_DAEMON" = "true" in
    gpsd.hotplug.wrapper anymore.
  * [c4fb8bab] Go trough all debconf questions if the daemon is started
    at boot *or* USB autodetection is enabled.
  * [f929f33f] Add dbus to 'Suggests' of gpsd.
  * [9dd1656f] Rewriting gpsd.init completely. The new start-stop-daemon
    options should ensure that gpsd is stopped definitely, hopefully
    this fixes an upgrade problem which was reported on Launchpad. (LP:
    #468915) - thanks to Walter Wittel
  * [376285e7] Updating gpsd.templates after review. - thanks to Justin
    B Rye
  * [e5d5e1f7] Updating po files for new gpsd.templates.
  * [6e23af3e] Update po files after running debconf-updatepo.
  * [691c564c] Add missing : to the control path question.
  * [8da65d0a] Running debconf-updatepo again.

  [ Esko Arajärvi ]
  * [77a66dc2] Updating debconf translation: fi.po (Closes: #554478)

  [ Kenshi Muto ]
  * [389d8f08] Updating debconf translation: ja.po (Closes: #554576)

  [ dooteo ]
  * [400eada8] Updating debconf translation: eu.po (Closes: #554540)

  [ Ivan Masár ]
  * [67146d71] Updating debconf translation: sk.po (Closes: #554681)

  [ Luca Monducci ]
  * [c52ba7fa] Updating debconf translation: it.po (Closes: #555117)

  [ Eddy Petrișor ]
  * [afb4ef0b] Updating debconf translation: ro.po (Closes: #555464)

  [ Thomas Mueller ]
  * [9f7c21e9] Updating debconf translation: de.po (Closes: #555840)

  [ Miroslav Kure ]
  * [e4246738] Updating debconf translation: cs.po (Closes: #555894)

  [ Francisco Javier Cuadrado ]
  * [3a72944f] Updating debconf translation: es.po (Closes: #556035)

  [ Yuri Kozlov ]
  * [4beef045] Updating debconf translation: ru.po (Closes: #556193)

  [ marce ]
  * [325806a3] Updating debconf translation: gl.po (Closes: #555453)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 14 Nov 2009 21:43:26 +0100

gpsd (2.39-6) experimental; urgency=low

  [ Christian Perrier ]
  * [fe381184] Updating debconf translation: fr.po (Closes: #540502)

  [ Jordà Polo ]
  * [2c23a9a6] Updating debconf translation: ca.po (Closes: #544101)

  [ Clytie Siddall ]
  * [49af80a6] Updating debconf translation: vi.po (Closes: #548020)

  [ Bernd Zeimetz ]
  * [35fe08a1] Correct dependencies in init.d LSB header. (Closes:
    #548552) - thanks to Petter Reinholdtsen <pere@hungry.com>
  * [c3e1a9a0] Move socket location out of the normal daemon options.
    Also make it much harder for the user to create a broken
    configuration, this should fix some of the bugs reported on debconf
    running into trouble. (Closes: #546894) (LP: #423629, #423629)
  * [887a9c32] Don't use hardcoded paths in gpsd.hotplug.
  * [8305f777] Use environment from /etc/default/gpsd in hotplug script.
    (Closes: #542386) - thanks to Joerg Dorchain <joerg@dorchain.net>
  * [309f9c95] Rename DAEMON_OPTS to GPSD_OPTIONS.
  * [cbc56721] Remove bashism from gpsd.hotplug.wrapper.
  * [3481f700] Make gpsd.config even more simple, try to do the right
    thing automatically.
  * [0ec26652] Updating po files.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Nov 2009 21:49:21 +0100

gpsd (2.39-5) unstable; urgency=low

  [ Thomas Mueller ]
  * [c884a6d0] Updating debconf translation: de.po (Closes: #538900)

  [ Bernd Zeimetz ]
  * [26d4a13e] gpsd.init: Move bluetooth to Should-Start - thanks to
    Carsten Einig
  * [7113becd] Add missing macro UNUSED to gpsd.h. (LP: #396256) -
    thanks to Dennis Nienhüser

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 30 Jul 2009 13:31:32 +0200

gpsd (2.39-4) unstable; urgency=low

  * [51e8dea3] Updating git-dch settings in git-bp config.
  * [35f17def] Updating debconf translation: cs.po (Closes: #534958) -
    thanks to Miroslav Kure
  * [c1917386] Updating debconf translation: eu.po (Closes: #535038) -
    thanks to Piarres Beobide
  * [4b6719c3] Updating debconf translation: ja.po (Closes: #535067) -
    thanks to Kenshi Muto
  * [b188ed05] Updating debconf translation: fi.po (Closes: #535112) -
    thanks to Esko Arajärvi
  * [ae2b44fe] Updating debconf translation: ro.po (Closes: #535121) -
    thanks to Eddy Petrișor
  * [0d989720] Updating debconf translation: sv.po (Closes: #535149) -
    thanks to Martin Bagge / brother
  * [413b36ab] Updating debconf translation: sk.po (Closes: #535157) -
    thanks to helix84@centrum.sk
  * [ca978d4f] Updating debconf translation: es.po (Closes: #536239) -
    thanks to Francisco Javier Cuadrado
  * [9efd437a] Updating debconf translation: pt.po (Closes: #536276) -
    thanks to "Traduz - Portuguese Translation Team"
  * [6e18a392] Updating debconf translation: ru.po (Closes: #536563) -
    thanks to Yuri Kozlov
  * [2c970b41] Updating debconf translation: it.po (Closes: #536596) -
    thanks to Luca Monducci
  * [d998da9f] Updating debconf translation: gl.po (Closes: #537427) -
    thanks to marce
  * [64375707] Fixing debconf prio for "brokenconfig" state. (Closes:
    #536010) - thanks to Alban Browaeys <prahal@yahoo.com>
  * [9d7960e6] Updating debconf-updatepo reformatted .po files.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 22 Jul 2009 17:57:36 +0200

gpsd (2.39-3) experimental; urgency=low

  * [98418e2f] Set priority of all debconf questions to low.
  * [c5d8d1f4] Set control socket option if not in DAEMON_OPTS. (Closes:
    #515085) - thanks to Sascha Silbe
  * [9bed6ecc] Update gpsd.templates to explain options better.
  * [fc356713] Support building for Python2.6.
  * [ee363122] Enable parallel build for python modules.
  * [568c3961] Rise python-all-dev build-dep for --install-layout.
  * [751c5138] Bump python-support build-dep to >= 0.7.1
  * [1545b437] Remove workarounds for broken --disable-python.
  * [59f41451] Using python in build target names.
  * [dcb57ba6] Build gpsd-dbg containing the debug symbols.
  * [52ac81d1] Update templates as suggested during the review. - thanks
    to Justin B Rye
  * [5b099fbe] Updating control file after review. - thanks to Justin B
    Rye
  * [03147ac2] Ensure a valid configuration in debconf. (Closes:
    #515085) - thanks to Sascha Silbe
  * [13db408f] Add error message to gpsd templates.
  * [549e673e] Update error message in template after review.
  * [73b14c74] Adding fuzzy po files after template update.
  * [e1bbde15] Bail out after too many errors during config.
  * [a280e182] Fix description: there is more than NMEA only.
  * [6d9b16f3] Remove extra space in front of template.
  * [be7b37bb] Updating fuzzy po files.
  * [0e5c78b7] Revert "Remove workarounds for broken --disable-python."
  * [741490b0] Adding python-all-dbg as build-dep.
  * [726fc8e3] Removing extra ( in package dependency.
  * [3e15f929] Lowering required python-* version to build.
  * [80313e6d] Fixing various bugs in the config script.
  * [5d48d2e7] Install python-dbg files to debian/tmp.
  * [43c5b4f2] Install python *_d.so files into gpsd-dbg.
  * [bb498598] Run dh_install after installing the python files.
  * [ae083f4f] Don't install data files with python*-dbg.
  * [48bf64d7] Revert "Set control socket option if not in DAEMON_OPTS."
  * [9a25c1cf] Reword and fix gpsd/start_daemon template. - thanks to
    Justin B Rye
  * [8d652246] Require daemon autostart before asking further debconf
    questions.
  * [f61a73fc] Also check if gpsd was autostarted in
    gpsd.hotplug.wrapper.
  * [35569850] Updating po files after gpsd/start_daemon change.
  * [6cbdda19] Add ~ to Debian revisions in the symbols file.
  * [a2972159] Bump Standards-Version to 3.8.2 and make lintian happy.
  * [edfe4196] Use debian/pyversions instead of XS-Python-Version.
  * [fe7302d8] Add Vcs-Browser and Vcs-Git information.
  * [d0f0b1b8] Use grep -q to avoid useless output in gpsd.config.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 28 Jun 2009 14:53:14 +0200

gpsd (2.39-2) unstable; urgency=low

  * [765fde7b] Calculate soname and library version properly.
  * [1da6bffd] Support the "status" action in the init.d script.
    (Closes: #528688) - thanks to Peter Eisentraut
  * [634d40b0] Make gpsd.hotplug.wrapper work with Ubuntu. (LP: #367197)
  * [1a66eb21] Start gpsd after bluetooth. (LP: #359352)
  * [1e5ffb92] Adding patch to fix a crash in libgpsmm.
  * [ba4e66a1] Updating symbols file after fixing libgpsmm.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 18 Jun 2009 01:37:34 +0200

gpsd (2.39-1) unstable; urgency=low

  * [44f4a445] debian/rules: Install upstream changelog, thanks to Paul
    Martin (Closes: #515067).
  * [edd0f8f7] debian/gbp.conf: Adding file.
  * [d0d4a002] Imported Upstream version 2.39
  * [376c8df9] debian/rules: Fixing FTBFS with the new python-support,
    thanks to Josselin Mouette (Closes: #516235)
  * [3a6804d7] debian/po: Adding Romanian translation, thanks to Eddy
    Petrișor (Closes: #514081).
  * [3d9cbca0] debian/control: Needed changes for udev transition.
  * [5d958d9b] debian/patches/default_units: drop exec flag.
  * [70489cfe] debian/control: bump libgps soname to 18.
  * [c91b4914] debian/patches: Updating patches for new version.
  * [f1217338] debian/rules: Add Breaks support for udev.
  * [d8a810a2] debian/gpsd.config: move gpsd/autodetection to low
  * [57ae764d] debian/rules: Use lsb_release -si
  * [337dddcb] debian/rules: Support Python 2.6.
  * [703df0da] Migrating symbols files to libgps18.
  * [07f088f7] debian/rules: Be pendantic about symbol files.
  * [b0280081] debian/rules: Don't require python.mk to build.
  * [581ac233] debian/rules: Work around broken --disable-python.
  * [522a76dd] debian/gpsd.postrm: removing old diversion parts.
  * [7f422a4f] debian/gpsd.udev: Dropping file, shipped upstream.
  * [65061f11] debian/rules: Install gpsd.rules for udev.
  * [cbdc4e8a] debian/patches: Install gpscat via setup.py.
  * [852f0522] debian/control: Bumping Standards-Version.
  * [26728c33] debian/patches: Add missing gpscat manpage.
  * [a99dfede] debian/rules: More workarounds for --disable-python.
  * [74a4ad5b] debian/rules: Use configure-stamp instead of
    config.status.
  * [3be45988] debian/rules: Build gpscat.1 for Python.
  * [9063e762] debian/rules: Delete Python manpages form clients
    package.
  * [24c96c32] debian/patches: Install gpscat manpage.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Apr 2009 01:57:53 +0200

gpsd (2.38-1) unstable; urgency=low

  * New Upstream Version
  * Replacing the dpatch patch system by quilt.
  * Dropping debian/patchts/gpsfake-identation.dpatch,
    patch applied by upstream.
  * debian/libgps17.symbols.common: Updating symbols file to the
    current version. The rtcm symbols were renamed to rtcm2. As they
    are not used by anyting but gpsd normally, upstream decided not to
    bump the soname.
  * debian/rules: remove .deps and .libs in the clean target.
  * debian/README.source: Adding file as required by policy.
  * debian/control: Bumping Standards-Version to 3.8.0.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 11 Feb 2009 01:02:22 +0100

gpsd (2.37-6) unstable; urgency=low

  * debian/po:
    translation updates:
    - es.po, thanks to Ana Guerrero
    new translations:
    - it.po, thanks to Luca Monducci (Closes: #494305)
    - fi.po, thanks to Esko Arajärvi (Closes: #493257)
    - ru.po, thanks to Yuri Kozlov (Closes: #493146)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Aug 2008 23:46:51 +0200

gpsd (2.37-5) unstable; urgency=low

  * debian/gpsd.udev:
    - Adding hotplug support for the Holux m241 (and probably others).
  * debian/po translation updates:
    - sv.po, thanks to "brother" (Closes: #491765)
  * debian/copyright:
    - Adding an additional line break to make lintian happy.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Jul 2008 02:29:12 +0200

gpsd (2.37-4) unstable; urgency=low

  * debian/po translation updates:
    - ja.po, thanks to Kenshi Muto (Closes: #483505).

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 31 May 2008 18:07:16 +0200

gpsd (2.37-3) unstable; urgency=low

  * debian/rules:
    - Unset LDFLAGS (and other *FLAGS which are exported to the environment by
      the new dpkg) to build the python modules, otherwise they FTBFS. Thanks
      to Lucas Nussbaum for the report (Closes: #475989).

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Apr 2008 00:05:03 +0200

gpsd (2.37-2) unstable; urgency=low

  * debian/po translation updates:
    - cs.po, thanks to Miroslav Kure (Closes: #473263).
    - pt.po, thanks to "Traduz" - Portuguese Translation Team and Miguel
             Figueiredo (Closes: #472838).
    - fr.po, thanks to Jean-Luc Coulon (f5ibh) (Closes: #472437).
    - nl.po, thanks to cobaco (aka Bart Cornelis) (Closes: #471807).
    - vi.po, thanks to Clytie Siddall (vi-VN, Vietnamese free-software
             translation team / nhóm Việt hóa phần mềm tự do)
             (Closes: #471795).
    - de.po, thanks to Alwin Meschede (Closes: #471721).
    - gl.po, thanks to Jacobo Tarrio (Closes: #471092).
    - ca.po, thanks to Jordà Polo (Closes: #474133).
  * debian/libgps17.symbols.*
    - Adding architecture dependent and c++ symbols to the symbol files.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 04 Apr 2008 23:31:03 +0200

gpsd (2.37-1) unstable; urgency=low

  * New upstream version.
  * debian/gpsd.templates:
    - Adding question about USB autodetection. The file was reviewed and
      corrected on debian-l10n-english@lists.debian.org - thanks to
      Christian Perrier, MJ Ray and Justin B Rye.
  * debian/gpsd.config, debian/gpsd.postinst:
    - Ask for USB autodetection if the Daemon is started at boot.
      Write /etc/default/gpsd accordingly.
  * debian/gpsd.hotplug.wrappper:
    - Exit gracefully if hotplugging is disabled in /etc/default/gpsd.
  * debian/rules, debian/gpsd.udev:
    - Ignore non-existing setup.py in the clean target.
    - Installing udev rules again, also remove the old udev rules
      symlink /etc/udev/rules.d/025_gpsd.rules, if it still exists
      (Closes: #455036).
  * debian/gpsd.examples:
    - Deleting file, the example udev rules are installed by default now.
  * debian/NEWS.Debian debian/gpsd.README.Debian:
    - Deleting files, no extra information included anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 15 Mar 2008 16:56:43 +0100

gpsd (2.37~rc1-1) unstable; urgency=low

  * New upstream release candidate, including C++ support again
    (Closes: #458576).
  * debian/rules:
    - A bit of housekeeping and cruft removal.
  * debian/libgps-dev.install:
    - File added (instead of handling this in debian/rules).
  * debian/patches:
    - garmin-usb-fix.dpatch, gpxlogger-gps.h.dpatch,
      gpsd_dbus.h-buildfix.dpatch: Removed, integrated upstream.
  * debian/libgps17.symbols:
    - File updated. ignoring C++ related symbols for now as they should be
      arch-dependent. Will be added after the package was built on all arches.
  * debian/watch:
    - Adding uversionmangle as upstream's X.YrcZ versions are greater than the
      later X.Y version, so rewrite X.YrcZ to X.Y~rcZ.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 17 Feb 2008 16:38:19 +0100

gpsd (2.36-2) unstable; urgency=low

  * debian/patches:
    - Adding garmin-usb-fix.dpatch (r4656 from svn) to fix the broken Garmin
      USB driver. Thanks to P.C. Chan for the help to find the breakage.
      (Closes: #457684)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Jan 2008 11:49:55 +0100

gpsd (2.36-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updating/adding versioned build-deps on debhelper and dpkg-dev to ensure
      that debian/package.symbols files are supported.
  * debian/rules:
    - Removing the call of dpkg-gensymbols as this is handled by dh_makeshlibs
      now.
  * debian/libgps17.symbols:
    - Removing the Debian revision from the minimal version number.
    - Adding the symbol garmintxt_parse@Base which was introduced in 2.36.
  * debian/patches:
    - Removing gpsfake-logfile-howto.dpatch and gpsfake-gpsd-path.dpatch -
      integrated upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 02 Jan 2008 10:51:40 +0100

gpsd (2.35-3) unstable; urgency=low

  * debian/patches:
    - Updating gpsfake-gpsd-path.dpatch to let gpsfake exit gracefully if
      gpsd is not found. Based on a patch by Andreas Putzo.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 Dec 2007 01:33:42 +0100

gpsd (2.35-2) unstable; urgency=low

  * debian/control:
    - Adding gpsd to Recommends for python-gps, thanks to Andreas Putzo
      (Closes: #456929).
  * debian/patches:
    - Adding gpsfake-gpsd-path.dpatch to hardcode the path to gpsd into
      gpsfake.py as /usr/sbin is not in the normal user's path. Thanks again
      to Andreas Putzo (Closes: #456928).

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 18 Dec 2007 16:34:04 +0100

gpsd (2.35-1) unstable; urgency=low

  * New upstream version, including several bugfixes for bugs reported by
    Steinar H. Gunderson (Closes: #410133, #410138, #410132).
  * The license of Tachometer.c was fixed by upstream, so we're able to build
    and ship xgpsspeed again.
  * debian/patches:
    - Dropping the following patches as they are not needed anymore:
      Tachometer.c-removal.dpatch, python-setup.dpatch,
      no-xgpsspeed-manpage.dpatch, gps.h-fix.dpatch, libgpsmm.h-fix.dpatch
    - Adding gpsd_dbus.h-buildfix.dpatch to fix a build failure.
  * debian/libgps17.symbols, debian/rules:
    - Adding symbosl file and running dpkg-gensymbols.
  * debian/control:
    - Bumping Standards-Version to 3.7.3.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 17 Dec 2007 21:52:10 +0100

gpsd (2.34.dfsg-6) unstable; urgency=low

  * debian/patches:
    - Adding libgpsmm.h-fix.dpatch: There's no need for libgpsmm.h to include
      gpsd_config.h. This finally closes a bug which was supposed to be fixed
      the right way before (Closes: #447653).

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 05 Dec 2007 23:06:29 +0100

gpsd (2.34.dfsg-5) unstable; urgency=low

  * debian/po updates:
    - Catalan translation, thanks to Jordà Polo (Closes: #452691).
    - Vietnamese translation, thanks to Clytie Siddall (Closes: #453413).
  * debian/patches:
    - Adding gps.h-fix.dpatch to remove some autotools guards in gps.h,
      allowing to use the header file without gpsd_config.h again. Also
      removing include_headers.dpatch as it is not needed anymore due to the
      real fix. Thanks to Petter Reinholdtsen for the bug report
      (Closes: #448837).
  * debian/control:
    - Updating my email address.
    - Bumping Standards-Version to 3.7.3.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 05 Dec 2007 22:37:14 +0100

gpsd (2.34.dfsg-4) unstable; urgency=low

  * debian/control:
    - Adding Conflicts to libgps-dev, thanks to Jordà Polo (Closes: #448349).
    - Changing python-gps' Conflicts to Replaces as it is save to install the
      more recent python extensions together with older gpsd(-clients)
      packages.
  * debian/po updates:
    - Galician translation, thanks to Jacobo Tarrio. (Closes: #447933).
    - Portuguese translation, thanks to "Traduz" - Portuguese Translation Team
      and Miguel Figueiredo (Closes: #448387).
    - Swedish translation, thanks to Daniel Nylander.
    - Durch translation, thanks to cobaco (aka Bart Cornelis)
      (Closes: #451291).
    - Japanese translation, thanks to Kenshi Muto (Closes: #448681).
    - Czech translation, thanks to Miroslav Kure (Closes: #449264).
    - German translation, thanks to Alwin Meschede (Closes: #449279).

 -- Bernd Zeimetz <bernd@bzed.de>  Sun, 04 Nov 2007 19:34:10 +0100

gpsd (2.34.dfsg-3) unstable; urgency=low

  * debian/control:
    - Adding Provides: ${python:Provides} as required by the new Python
      policy.
  * debian/patches:
    - Adding include_headers.dpatch to include gpsd_config.h into the
      libgps-dev package. Thanks to Matthew Rosewarne. (Closes: #447653)
  * debian/po:
    - French translation update, thanks to Christian Perrier.
      (Closes: #447428)

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 22 Oct 2007 23:36:56 +0200

gpsd (2.34.dfsg-2) unstable; urgency=low

  * debian/gpsd.templates:
    - Updating the manpage category of gpsd, thanks to Thijs Kinkhorst for the
      hint.
  * debian/patches:
    - Adding INSTALL-description-fix.dpatch, clarifying which device gpsd uses
      by default. Thanks to Dan Jacobson for reporting. (Closes: #329267)
    - Adding no-gps-manpage.dpatch to reflect that gps.1 is renamed to xgps.1
      due to a name clash with the gps package.
    - Adding gpsfake-logfile-howto.dpatch which adds a comment about creating
      a logfile which is suitable for the use with gpsfake. Thanks to
      Dan Jacobson again. (Closes: #329266)
  * debian/rules:
    - We need to use dh_installman to install xgps.1 now, more easy than
      patching Makefile.*

 -- Bernd Zeimetz <bernd@bzed.de>  Fri, 19 Oct 2007 22:51:01 +0200

gpsd (2.34.dfsg-1) unstable; urgency=low

  * Hijacking the package as announced on debian-devel@lists.d.o
    in <470DEE3C.80603@bzed.de> due to the old maintainer being MIA.
  * New upstream version
  * Removing Tachometer.c due to an unclear licensing, this introduces
    .dfsg to the version number and results in not being able to build
    xgpsspeed.
  * Building new packages:
    - python-gps containing the python modules, this also fixes a bug
      complaining about missing python-support (Closes: #413925)
    - Splitting libgps and the according devel files in separate packages
      (Closes: #295375)
  * Installing gpsd in /usr/sbin again. gpsd is a system daemon and only
    rarely used as user command.
  * Auto discovery of USB GPS devices is disabled by default now, as the USB
    devices use nothing but a standard usb to serial converter. This resulted
    in trouble if you wanted to use a normal serial converter without attached
    GPS device. A rules file is provided as example now.
    (Closes: #442467, #404780)
  * debian/compat:
    - Bumping to level 5
  * debian/control:
    - Updating the Maintainer field
    - Adding Homepage field, removing pseudo fields from descriptions
    - Cleaning up descriptions in general
    - Adding informations for the new packages
  * debian/copyright:
    - Reworking the whole file
  * debian/gpsd.docs:
    - Removing AUTHORS (listed in the copyright file) and HACKING (file does
      not exist anymore)
  * debian/gpsd.init:
    - Changing warnings to make gpsd more quiet if it's not automatically
      startet at bootup, thanks to Kiro Zimmer (Closes: #395297).
    - Reflecting the change in gpsd's location.
  * debian/gpsd.templates:
    - Replacing the question for gpsd/device by a title, fixing a lintian
      warning
  * debian/gpsd.{postrm,preinst}:
    - Remove existing diversions of gpsd while upgrading.
      Thanks to Andreas Putzo (Closes: #446780).
  * debian/patches:
    - General cleanup, removing obsolete patches, adding several new patches
      to suit the new version and packaging.
  * debian/po:
    - Adding several new translations, thanks to
      * cobaco (aka Bart Cornelis) - Dutch translation (Closes: #415519)
      * Rudy Godoy Guillén - Spanish translation (Closes: #426172)
      * Kenshi Muto - Japanese translation (Closes: #412507)
  * debian/rules:
    - Rewriting file completely. This also introduces new files to the
      packaging (debian/{gpsd,gpsd-clients}.install, debian/gpsd.examples)
      and removes several unused/obsolete files:
      (debian/{remove_rpath.sh,gpsd-clients.docs}, debian/*.dirs,
       debian/gpsd.lintian-overrides).
  * debian/watch, debian/dfsg-clean.sh:
    - Adding files to watch for upstream versions and handle the removal of
      non-free material automatically.

 -- Bernd Zeimetz <bernd@bzed.de>  Tue, 16 Oct 2007 14:49:34 +0200

gpsd (2.33-5) unstable; urgency=low

  * debian/control:
    - add build-dependency on autotools-dev

  [ Christian Perrier ]
  * debconf templates:
    - all PO files converted to UTF-8
    - add German translation, thanks to Alwin Meschede (closes: #400511)
    - add Catalan translation, thanks to Jorda Polo (closes: #410213)
    - add Galician translation, thanks to Jacobo Tarrio (closes: #412241)
    - add Portuguese translation, thanks to Miguel Figueiredo (closes: #412257)

 -- Tilman Koschnick <til@subnetz.org>  Sun, 25 Feb 2007 21:18:11 +0100

gpsd (2.33-4) unstable; urgency=low

  * debian/patches/:
    - add 23_hotplug_racecond.dpatch (closes: #321421)
  * /etc/init.d/gpsd:
    - order run levels in LSB headers

  * Upload sponsored by Petter Reinholdtsen

 -- Tilman Koschnick <til@subnetz.org>  Sat,  7 Oct 2006 21:41:37 +0200

gpsd (2.33-3) unstable; urgency=low

  * Acknowledging previous NMU, thanks to Kai Hendry (closes: #377773)
  * remove rpath from binaries (required on amd64, ?)
  * /etc/init.d/gpsd:
    - require /etc/default/gpsd
    - add Short-Description to LSB section
    - use LSB logging functions
    - remove 'S' from Default-Stop LSB header
  * use python-support to install python modules
  * debian/control:
    - improve package description
    - drop alternative build dependency on libxaw6-dev
    - add build dependency on docbook-xsl (>= 1.71.0.dfsg.1-1), allowing to:
  * debian/patches/:
    - preserve <screen> environments in 22_manpage_linebreak.dpatch

  * Upload sponsored by Petter Reinholdtsen

 -- Tilman Koschnick <til@subnetz.org>  Sat,  7 Oct 2006 11:14:43 +0200

gpsd (2.33-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 -> lesstif2 migration (Closes: #377773)

 -- Kai Hendry <hendry@iki.fi>  Wed, 19 Jul 2006 09:38:34 +0900

gpsd (2.33-2) unstable; urgency=low

  * debian/gpsd.dirs:
    - add /etc/udev/rules.d (closes: #377016)
  * debian/gpsd.postrm:
    - fix removal of /etc/udev/rules.d/025_gpsd.rules on purge

  * Upload sponsored by Petter Reinholdtsen

 -- Tilman Koschnick <til@subnetz.org>  Thu,  6 Jul 2006 10:03:58 +0200

gpsd (2.33-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    - update author list
  * debian/control:
    - bump Standards-Version to 3.7.2 (no changes required)
  * debian/patches/:
    - rm 16_fix_manpages.dpatch (obsolete)
    - add 19_gpsfake_fuser.dpatch
    - add 20_gpsfake_manpage.dpatch (closes: #335480)
    - add 21_autobaud_delay.dpatch: make connecting to Garmin eTrex more
      reliable (closes: #303548, #321423)
    - add 22_manpage_linebreak.dpatch
  * /etc/init.d/gpsd:
    - stop gracefully if gpsd is not running (closes: #374658)
  * update lintian-overrides

  * Upload sponsored by Petter Reinholdtsen

 -- Tilman Koschnick <til@subnetz.org>  Mon, 26 Jun 2006 16:28:36 +0200

gpsd (2.32-2) unstable; urgency=low

  * switch from obsolete hotplug to udev interface, thanks to Marco d'Itri
    (closes: #338745)
  * debian/patches/:
    - add 17_gpsd_manpage_section.dpatch
  * debian/gpsd.postinst:
    - always source /usr/share/debconf/confmodule
  * debian/rules:
    - add -I/usr/X11R6/include to CFLAGS until xorg migration is complete
    - add -fno-strict-aliasing to CFLAGS to satisfy gcc 4.1

 -- Tilman Koschnick <til@subnetz.org>  Sat, 29 Apr 2006 16:02:40 +0200

gpsd (2.32-1) unstable; urgency=low

  * New upstream release
    - new program: cgpxlogger
  * debian/copyright: update author list
  * debian/control:
    - drop optional dbus build dependencies for stable
      (closes: #348318, #362565)
    - drop optional build dependency on xlibs-dev to make lintian happy
  * debian/patches/:
    - rm 13_include_xm_fix.dpatch (included upstream)
    - rm 15_link_lm_fix.dpatch (included upstream)
    - add 16_fix_manpages.dpatch
  * install gps.1.gz as xgps.1.gz to avoid conflict with gps package
  * link gpxlogger.1.gz to xgps.1.gz
  * drop debian/watch (doesn't work with BerliOS download page)
  * fix Homepage line in description

 -- Tilman Koschnick <til@subnetz.org>  Sun, 16 Apr 2006 20:54:34 +0200

gpsd (2.30-2) unstable; urgency=low

  * /etc/init.d/gpsd:
    - add LSB formatted dependency info, thanks to Petter Reinholdtsen
      (closes: #335347)
    - do not chown $PIDFILE, thanks to Elmar Hoffmann (closes: #343733)
  * debian/patches/:
    - add 15_link_lm_fix.dpatch (closes: #340081)

 -- Tilman Koschnick <til@subnetz.org>  Sun, 20 Nov 2005 14:11:28 +0100

gpsd (2.30-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update author list
  * debian/patches/:
    - add 13_include_xm_fix.dpatch
  * debconf templates:
    - add Swedish translation, thanks to Daniel Nylander (closes: #333676)

 -- Tilman Koschnick <til@subnetz.org>  Sat, 12 Nov 2005 22:40:18 +0100

gpsd (2.29-1) unstable; urgency=low

  * New upstream release
    - new programs: cgps, gpsflash, gpspipe, gpxlogger, rtcmdecode
  * move sirfmon to gpsd-clients package
  * debian/patches/:
    - rm 12_send_dbus_fix.dpatch (included upstream)
  * update lintian-overrides

 -- Tilman Koschnick <til@subnetz.org>  Fri, 19 Aug 2005 18:41:56 +0200

gpsd (2.28-2) unstable; urgency=low

  * recompile against libstdc++6

 -- Tilman Koschnick <til@subnetz.org>  Fri,  8 Jul 2005 01:42:27 +0200

gpsd (2.28-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    - rm 10_dbus_fix.dpatch (included upstream)
    - rm 11_hotplug_fix.dpatch (obsolete)
    - add 12_send_dbus_fix.dpatch
  * update lintian-overrides

 -- Tilman Koschnick <til@subnetz.org>  Wed,  6 Jul 2005 19:32:27 +0200

gpsd (2.26-1) unstable; urgency=low

  * New upstream release
    - bugfix: gps.h refers to missing gpsutils.h (closes: #314998)
  * compile with dbus support
  * debian/patches/:
    - rm 09_gpsdrive_fix.dpatch (obsolete)
    - add 10_dbus_fix.dpatch
    - add 11_hotplug_fix.dpatch
  * update lintian-overrides
  * debconf templates:
    - update French translation, thanks to Jean-Luc Coulon (closes: #315364)
  * bump Standards-Version to 3.6.2 (no changes required)

 -- Tilman Koschnick <til@subnetz.org>  Fri, 24 Jun 2005 13:20:40 +0200

gpsd (2.25-1) unstable; urgency=low

  * New upstream release (closes: #301469)
    - license change from GPL to BSD
    - gpsd now starts as root and drops privileges afterwards; this is
      required for the interface to ntpd, see README.Debian for details
    - no default device /dev/gps anymore (closes: #303174)
    - bugfix: libgps leaks socket fd when setsockopt or connect fails
      (closes: #299427)
    - hotplug support added
    - new sirfmon program
    - gpsprobe removed
  * add dependency on netbase (closes: #299286)
  * prefere build dependency on lesstif2 over lesstif
  * debian/patches/:
    - rm 03_documentation.dpatch
    - rm 07_unit_options.dpatch (not accepted upstream, superseded by
      less intrusive 08_default_units.dpatch)
    - add 08_default_units.dpatch
    - add 09_gpsdrive_fix.dpatch
  * update lintian-overrides
  * revise README.Debian
  * debconf templates:
    - add Czech translation, thanks to Miroslav Kure (closes: #310466)
    - add Vietnamese translation, thanks to Clytie Siddall (closes: #311879)

 -- Tilman Koschnick <til@subnetz.org>  Sat, 21 May 2005 15:02:25 +0200

gpsd (2.13-1) unstable; urgency=low

  * New upstream release
    - new gpsfake, gpsprof programs
  * add CAN number to previous changelog version
  * debian/patches/:
    - rm 05_gps_py_typo.dpatch (included upstream)
    - rm 06_X11_ad_files.dpatch (included upstream)
    - rm 08_maxchannels.dpatch (obsolete)
    - rm 09_syslog_formatstring.dpatch (obsolete)
  * update lintian-overrides

 -- Tilman Koschnick <til@subnetz.org>  Tue, 22 Feb 2005 21:03:46 +0100

gpsd (2.7-4) unstable; urgency=high

  * setting urgency=high because of RC bugfix
  * bugfix: remote security problem with format strings
    - CAN-2004-1388
    - add debian/patches/09_syslog_formatstring.dpatch
    - thanks to Ulf Harnhammar, KF, Petter Reinholdtsen
      (closes: #292347, #292370)
  * fix lintian warnings
    - change description of gpsd-clients
    - add /usr/share/lintian/overrides/gpsd
      (ignoring non-dev-pkg-with-shlib-symlink,
      description-synopsis-starts-with-a-capital-letter)

 -- Tilman Koschnick <til@subnetz.org>  Thu, 27 Jan 2005 13:31:03 +0100

gpsd (2.7-3) unstable; urgency=low

  * import bugfixes from upstream's SVN
    - avoid potential buffer overrun and memory leak
    - add debian/patches/08_maxchannels.dpatch

 -- Tilman Koschnick <til@subnetz.org>  Wed, 19 Jan 2005 19:38:43 +0100

gpsd (2.7-2) unstable; urgency=low

  * X11 app-defaults files:
    - include xgps*.ad
    - add debian/patches/06_X11_ad_files.dpatch
  * fix speedunits, altunits options:
    - add debian/patches/07_unit_options.dpatch
    - rm debian/patches/01_speedunits.dpatch (superseded by 07_unit_options)

 -- Tilman Koschnick <til@subnetz.org>  Sun, 16 Jan 2005 14:06:26 +0100

gpsd (2.7-1) unstable; urgency=low

  * New upstream release
  * added -P <pidfile> option
    - use option in /etc/init.d/gpsd
    - closes: #287737
  * debian/patches/:
    - upstream renames gps to xgps; rm 02_gps_to_xgps.dpatch (obsolete)
    - add 01_speedunits.dpatch: use metric system by default
      (closes: #289944)
    - add 05_gps_py_typo.dpatch: fix syntax error in gps.py

 -- Tilman Koschnick <til@subnetz.org>  Fri, 14 Jan 2005 23:31:14 +0100

gpsd (2.6-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    - rm 03_python_bindings.dpatch (obsolete)
    - simplify documentation patches
  * debconf templates:
    - add Norwegian Bokmaal (nb) translation, thanks to Petter Reinholdtsen
      (closes: #288271)

 -- Tilman Koschnick <til@subnetz.org>  Sun,  2 Jan 2005 18:03:34 +0100

gpsd (2.5-2) unstable; urgency=low

  * debian/control:
    - add alternative build-dependency on xlibs-dev
    - set versioned build-dependency on debhelper to >= 4.1.25
    - recommend python >= 2.3 for gpsd binary package (closes: #287147)
  * debconf templates:
    - add french translation, thanks to Jean-Luc Coulon (closes: #287265)
  * gps.py:
    - applied patch from upstream svn repository (r1169)
    - bugfix: Python interface unable to handle multiline response, thanks to
      Petter Reinholdtsen (closes: #287051)

 -- Tilman Koschnick <til@subnetz.org>  Fri, 24 Dec 2004 13:38:27 +0100

gpsd (2.5-1) unstable; urgency=low

  * New upstream release
    - bugfix: FTBFS on amd64/gcc-4.0, thanks to Andreas Jochens
      (closes: #286906)
    - bugfix: Python binding give AttributeError, thanks to Petter
      Reinholdtsen (closes: #286955)
  * debian/copyright:
    - update list of authors
  * python related changes:
    - move python modules to /usr/lib/python2.3/site-packages/gpsd
    - add /usr/lib/python2.3/site-packages/gpsd.pth
    - rm debian/patches/03_python_syspath.dpatch (obsolete)
  * debian/rules:
    - properly clean sources in clean target, thanks to Petter Reinholdtsen
      (closes: #286630)
  * debian/control:
    - add alternative build-dependency on libxaw6-dev (closes: #286637)
    - add build-dependency on libxt-dev
  * debian/gpsd-clients.menu
    - add menu entries for xgps and xgpsspeed

 -- Tilman Koschnick <til@subnetz.org>  Tue, 21 Dec 2004 12:19:05 +0100

gpsd (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: update list of authors
  * rm debian/patches/01_missing_includes.dpatch (obsolete)
  * add support for po-debconf
  * debian/control: fix homepage URL

 -- Tilman Koschnick <til@subnetz.org>  Mon, 20 Dec 2004 00:41:57 +0100

gpsd (2.3-1) unstable; urgency=low

  * Initial Release. (closes: #276376)

 -- Tilman Koschnick <til@subnetz.org>  Tue, 23 Nov 2004 00:28:27 +0100
